Page MenuHomePhabricator

Deploy Growth features on German Wikipedia
Closed, ResolvedPublic

Description

As discussed with Benoît, we'd like to test the Growth tools on the German Wikipedia and therefore would like you to deploy the tools to 0% of the newcomers for now (to be raised to 5% once we checked the translations and customizings).

Info about this project and the planned deployment on the German WIkipedia:
https://de.wikipedia.org/wiki/Wikipedia:WikiProjekt_Begr%C3%BC%C3%9Fung_von_Neulingen/Neulings-Startseite

NOTE: The configuration for the Growth features will be on wiki at Special:EditGrowthConfig.

Translations

  • Translate the interface (on translatewiki.net, needs a specific account)
  • Translate aliases:
    • Special:WelcomeSurvey -> Spezial:WillkommensFragebogen
    • Special:Homepage -> Spezial:Meine_Startseite
    • Special:Impact -> Spezial:Mein_Einfluss
    • Special:ClaimMentee -> Spezial:Neulingsübernahme
NOTE: We decided to deviate from the English help pages and chose different ones in a different order, so these are not "translations", but our own selection of the top 5 help pages.

Help panel

TaskLabelTranslation of the label
Help:EditingHow to edit a pageWie kann ich Seiten bearbeiten? (https://de.wikipedia.org/wiki/Wikipedia:Tutorial/Seiten/Bearbeiten)
Inserting references (using the visual editor)How to insert referencesQuellen und Belege einfügen (https://de.wikipedia.org/wiki/Wikipedia:Belege)
Inserting images (using the visual editor)How to insert imagesArtikel illustrieren (https://de.wikipedia.org/wiki/Wikipedia:Artikel_illustrieren)
Manual of styleHow to write a good articleWie schreibe ich gute Artikel? (https://de.wikipedia.org/wiki/Wikipedia:Wie_schreibe_ich_gute_Artikel)
Article WizardHow to create an articleNeue Artikel anlegen (https://de.wikipedia.org/wiki/Hilfe:Neuen_Artikel_anlegen)

Mentorship module (optional)

NOTE: There's already a mentorship program in place in the German Wikipedia, with a different focus (long term mentorship). To avoid confusion, we made sure not to use "mentor" in any translation of the Growth tools, but went for "pilot" (German: "Lotse/Lotsin") instead.
  1. Encourage community members to become pilots (can be done later). If done:
  2. The signature list has been formatted like it should be.
  3. Add the signature list to Q14339834.

Suggested edits

Templates and help pages are listed on wiki, at Special:EditGrowthConfig.

Anything else?

  • As mentioned above, we already have a mentorship program in place, which should *not* be replaced, merged or otherwise affected by the new mentorship module. To avoid confusion, we did not use the word "Mentor" in the Growth tool translation, but decided to use "Lotse/Lotsin" (pilot) instead.
  • Not sure whether this is relevant, but the German Wikipedia uses FlaggedRevisions

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

@Christine_Domgoergen_WMDE Hello, indeed, as of now, the only way to get a mentorship pause is to remove yourself from the list of mentors. That makes the system to not assign more newcomers to you. The ones that were assigned previously stay assigned, however.

In practice, that don't make a great difference, because most questions are asked on the newcomer's first day. Newcomers are unlikely to ask questions after their first day. But it does happens ocasionally -- so removing the name does not ensure no questions, only no more newcomers.

The Growth team recognizes that this causes issues ocasionally for mentors who are totally out of wiki, and are unable to handle even one question. To avoid that issue, we started working on the mentor dashboard project. Among other things, the mentor dashboard will have an interface that allows mentor to set themselves as "away", which will temporarily direct questions of all their mentees to a backup mentor.

I hope this information make sense. Let me know if you have any other questons!

@Urbanecm_WMF Thank you for the answer!

@Trizek-WMF
A short update: we are currently discussing how to solve the issue with the maintenance tags. The challenge is that there are not really any maintenance tags that specifiy easy tasks. Often the tags are used for a very broad range of improvements, so that it is hard to tell by the tag alone whether the task is easy or complex. There are no tags for copyediting or interwiki links in dewp. Do you have any experience or ideas how to solve this?

A short update: we are currently discussing how to solve the issue with the maintenance tags. The challenge is that there are not really any maintenance tags that specifiy easy tasks. Often the tags are used for a very broad range of improvements, so that it is hard to tell by the tag alone whether the task is easy or complex. There are no tags for copyediting or interwiki links in dewp. Do you have any experience or ideas how to solve this?

@Christine_Domgoergen_WMDE, the Growth team recently released a new version of the "Add a link" task to 10 wikis. Instead of leaving newcomers finding which links to add in a given article, we guide them more. Our guidance is based on machine suggestions, with an accuracy of 70% for suggested links. Newcomers just have to review suggested links and say yes/no/I don't know. The early investigations on the wikis where we've deployed "Add a link" show a better retention of newcomers, making more constructive edits. You can try this new version of "Add a link" at Beta Wikipedia: https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:Homepage.

We are on a good timing regarding messages: one of my tasks today was to offer you this improved version of "Add a link" for your wiki, as part of the experiment you plan to start. In my opinion, your wiki getting "Add a link" is the best option we have now: it provides endless easy tasks, with no need of maintenance templates and, this way, German Wikipedia would have the latest version of the Growth features to test, instead of having to catch up later.

We can start the 5% trial this week, with or without the new "Add a link". This way, you would have some first results for your annual community conference at the beginning of October. What do you think?

@Trizek-WMF @Urbanecm_WMF

Hello, and thank you for the good idea! We just discussed it and think that would be a very good solution. Also we decided that "Aktualisieren: Vorlagen zum Finden von Artikeln, die mit aktuellen Informationen aktualisiert werden müssen. Vorlage:Veraltet" could also be an easy task. Right now it is categorized as medium, can we change the categorization as well in the configurations? We then would have two easy tasks and some medium tasks and one difficult tasks. Reinhard will accordingly edit the configurations tonight.

We would like to start the test run on Wednesday, would that be possible? Can we just notify you here and then you start the test run or do you set a time when it will start automatically?

Change 715568 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[operations/mediawiki-config@master] GrowthExperiments: Enable link recommendation for dewiki and nlwiki

https://gerrit.wikimedia.org/r/715568

Change 715568 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: Enable link recommendation for dewiki and nlwiki

https://gerrit.wikimedia.org/r/715568

Mentioned in SAL (#wikimedia-operations) [2021-08-30T18:22:08Z] <tgr@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:715568|GrowthExperiments: Enable link recommendation for dewiki and nlwiki (T288420 T285254)]] (duration: 00m 56s)

@Christine_Domgoergen_WMDE, the team needs to discuss a bit more about the changes you suggest on our side. This may impact the test, I'm keeping you updated soon.

@Trizek-WMF Okay, thanks. Just let us know if the categorization of the difficulty could be changed and what this would mean in terms of timing and effort. If it would take too much time we might go for a pragmatic solution in order not to delay the test further.

I just checked the categorization we just discussed and see the following differences compared to enwp:

task in enwpGerman maintenance tag equivalent
copyedit (easy)Überarbeiten --> is a lot more difficult (medium) and would also need a different task description (pragmatic solution: not include in suggested tasks for now)
add links (system) (easy)(your solution, would be the same)
find references (medium)Belege fehlen --> same, no change needed
update articles (medium)Veraltet --> was categorized as easy by working group (pragmatic solution: leave it at medium for now)
expand short articles (difficult)Lückenhaft --> was categorized as medium by working group (pragmatic solution: leave it at difficult for now)
[n/a]Defekter Weblink --> difficult task without equivalent, would also need new description (pragmatic solution: not include in suggested tasks for now)

Changing the categorization of tasks requires more work than we thought. We need to consider this possibility and assess on the work needed. We will keep you posted!

In the meantime, we can start the deployment with the following tasks and templates:

TaskGerman maintenance tag equivalentNote
add links (system) (easy)no template needed
find references (medium)Belege fehlen
update articles (medium)Veraltet / ÜberarbeitenBoth templates look the same to me, some other wikis use them both for this task.
expand short articles (difficult)Lückenhaft

Good news: suggested links (add a link-system) is ready for your wiki. The 5% of Newcomers who'll get the tools will have a lot of links to select!

Also, we've made a quick calculation regarding the data you'd get for your October event, and it seems that with 5% of newcomers getting the features, the numbers would be too low to provide a clear picture our a trend. It is up to you to change the 5% threshold (English Wikipedia will move soon to 25%, Dutch Wikipedia will start at 50%), or to consider having an overall presentation of the features at your event but without any data.

@Trizek-WMF Hi Benoit, that sounds like a good solution for now - I will check with the working group if they are fine starting like this. Regarding the number of newcomers getting the features: what would be the minimum in order to get valid data till October? How many questions for mentors do you expect from this number? How many mentors would be needed to handle the questions?

Regarding the number of newcomers getting the features: what would be the minimum in order to get valid data till October?

I have to ask the data specialists, who are currently sleeping. I'll post an update later today. :)

How many questions for mentors do you expect from this number? How many mentors would be needed to handle the questions?

We encourage to have one mentor for each group of 500 new Accounts. Taking 6,000 new accounts/month on average, it means a need 12 mentors for a deployment of 100% of newcomers.

Then number of question depends on several parameters, but, on average, we see 3 to 6 questions per week for each mentor, on average. I confirm this as a volunteer. Of course, the more mentors you have, the smaller this number of question would be. "Would be", because mentors are randomly assigned. So, over a week, you can have accounts assigned to you who will never edit, or, on the contrary, you can get a lot of questions. It is a game of chance, literally.

Change 715763 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Enable link recommendation frontent in dewiki and nlwiki

https://gerrit.wikimedia.org/r/715763

@Christine_Domgoergen_WMDE, about your forthcoming event, I guess you want to show some first results to the community.

What we can short-term check on is:

  • the revert rate of suggested edits, or, in your case, the volume of edits acceptance (due to Flagged Revisions). We can compare this rate with the current (default) experience.
  • the volume of questions to mentors, so that we could have a better idea of the number of mentors needed when more newcomers will get the features
  • the quality of questions -- since it is a very much subjective evaluation, I usually rely on two questions: "can this question be replied?" and "is this question about editing Wikipedia?".

Previous experiences shown that 3% to 5% of newcomers make Suggested edits or ask questions. To have a good overview for your event (ideally ~300 real newcomers making Suggested edits), the deployment should target 2,000 new accounts before the beginning of October. It would mean deploying to 30% of new accounts instead of 5% for a 4 weeks trial. Changing this ratio is up to you, since it is really easy to be done on our side.

Regarding retention, it would take months to have statistically significant results.

Change 715763 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable link recommendation frontent in dewiki and nlwiki

https://gerrit.wikimedia.org/r/715763

Mentioned in SAL (#wikimedia-operations) [2021-08-31T23:08:59Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 1437d99c1884c0695f02b81b724ec82a2bd3362e: Enable link recommendation frontent in dewiki and nlwiki (T288420, T285254) (duration: 01m 06s)

FYI, I just added link recommendation's frontend into the dark mode as well. If you wish to try it out, you can do it by running ge.utils.setUserVariant( 'linkrecommendation' ) in your browser's console (on Chrome, it's right-click, then Inspect, select Console, and paste the snippet there). If you wish to go back, you can do ge.utils.setUserVariant( 'control' ) to go to the original version.

Per https://de.wikipedia.org/wiki/Spezial:NewcomerTasksInfo, there should be already quite a lot of tasks generated (the task pool is still filling; should be fully generated by tomorrow noon).

Happy to answer any questions about this!

@Trizek-WMF Hello, thanks so much for the information and the good solutions. So the deployment with the tasks as you suggested below is fine for the working group!

Changing the categorization of tasks requires more work than we thought. We need to consider this possibility and assess on the work needed. We will keep you posted!

In the meantime, we can start the deployment with the following tasks and templates:

TaskGerman maintenance tag equivalentNote
add links (system) (easy)no template needed
find references (medium)Belege fehlen
update articles (medium)Veraltet / ÜberarbeitenBoth templates look the same to me, some other wikis use them both for this task.
expand short articles (difficult)Lückenhaft

Good news: suggested links (add a link-system) is ready for your wiki. The 5% of Newcomers who'll get the tools will have a lot of links to select!

Also, we've made a quick calculation regarding the data you'd get for your October event, and it seems that with 5% of newcomers getting the features, the numbers would be too low to provide a clear picture our a trend. It is up to you to change the 5% threshold (English Wikipedia will move soon to 25%, Dutch Wikipedia will start at 50%), or to consider having an overall presentation of the features at your event but without any data.

We are discussing about the percentage right now, I will let you know, as soon as we have come to an conclusion.

@Urbanecm_WMF Thanks for the update about the link recommendations, we will try it out now!

@Urbanecm_WMF I just tried the link recommendations and it runs in Chrome and suggests the articles in the task module but then after clicking on the suggested article and being led to the wikipage the pop up dialogue with the introduction does not open and the pop-up windows for the suggested links with with the dialogue "Should this link to the following article" is also not displayed.

@Urbanecm_WMF I just tried the link recommendations and it runs in Chrome and suggests the articles in the task module but then after clicking on the suggested article and being led to the wikipage the pop up dialogue with the introduction does not open and the pop-up windows for the suggested links with with the dialogue "Should this link to the following article" is also not displayed.

Hmm, I just tried on dewiki and it's working for me. Could you open your browser console please to see if there are some errors displayed? Is it happening consistently?

@Urbanecm_WMF I just tried the link recommendations and it runs in Chrome and suggests the articles in the task module but then after clicking on the suggested article and being led to the wikipage the pop up dialogue with the introduction does not open and the pop-up windows for the suggested links with with the dialogue "Should this link to the following article" is also not displayed.

Hello Christine, that is very likely because you do not have help panel enabled. Unfortunately, for add a link to fully work, help panel needs to be enabled as well. T284088: Merge preference "Enable the editor help panel" with "Display the newcomer homepage" together should fix that -- but we didn't yet decide if we want to merge the two preferences into one, or fix the issue in some different way.

Let me know how it goes!

@Urbanecm_WMF Ah yes, now it works! Yes progably merging the preferences would be good - or at least put them at the same place in the settings, so it becomes clear they go together. I had to search quite a bit to find the setting for the help panel

Were the translations also done by community or did you do it? Could we change them ourselves? Apart from that the functionalities seem to work fine. I cannot test the final step though because I am as a chapter employee cannot do edits in Wikipedia...

@Trizek-WMF The working group is fine with the 30%!

So how is the timeline, is there anything we need to do or decide before final deployment? When do you think everything would be ready to start?

@Christine_Domgoergen_WMDE, we are ready; we can deploy right now to 30% of newcomers. We just need your green light.

Change 715957 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] dewiki: Enable Growth features for 30% of newcomers

https://gerrit.wikimedia.org/r/715957

@Trizek-WMF Okay, great. We still need to move the maintenance tag "Überarbeiten" from copyedit to the update category. As soon as this has happened we are good to go. I have asked the working group to do it and will let you know. How much time would the deployment need, so when would new users start to see the tools?

@Christine_Domgoergen_WMDE, technically, the deployment is already done. It is just not visible to newcomers. As of now, 0% of newcomers get the tools now. Our move will be to change the threshold so that 30% of new accounts will get the tools. Given the percentage and the number of new accounts at German Wikipedia, the effects won't be massively visible.

I can move the template of category of needed.

@Trizek-WMF @Urbanecm_WMF They have done it and also announced the test run on the village pump. So you can deploy now :-)

Can we still change the wording of the translations of the suggested edit task pop-ups a bit?

@Trizek-WMF @Urbanecm_WMF They have done it and also announced the test run on the village pump. So you can deploy now :-)

Excellent! I'll do the deployment soon.

Can we still change the wording of the translations of the suggested edit task pop-ups a bit?

Of course! You can change translations at any time via translatewiki.net, they will get updated in production Wikipedia in a week or so.

Change 715957 merged by jenkins-bot:

[operations/mediawiki-config@master] dewiki: Enable Growth features for 30% of newcomers

https://gerrit.wikimedia.org/r/715957

Mentioned in SAL (#wikimedia-operations) [2021-09-02T11:05:38Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 3ce5d80eb6f8ad720b5d9c0b6ad7840dd869735e: dewiki: Enable Growth features for 30% of newcomers (T288420) (duration: 01m 58s)

@Trizek-WMF @Urbanecm_WMF They have done it and also announced the test run on the village pump. So you can deploy now :-)

Excellent! I'll do the deployment soon.

Can we still change the wording of the translations of the suggested edit task pop-ups a bit?

This just happened. Enjoy!

Etonkovidova subscribed.

Checked - only one note: Instead of Quellen und Belege einfügen (https://de.wikipedia.org/wiki/Wikipedia:Belege ), the link for Quellen und Belege einfügen points to https://de.wikipedia.org/wiki/Hilfe:Einzelnachweise/VisualEditor.

Checked - only one note: Instead of Quellen und Belege einfügen (https://de.wikipedia.org/wiki/Wikipedia:Belege ), the link for Quellen und Belege einfügen points to https://de.wikipedia.org/wiki/Hilfe:Einzelnachweise/VisualEditor.

Thanks for noting that. This was set by an admin, so I assume it is fine -- per Google Translate, content sounds okay.

@Trizek-WMF Do you want to keep this opened until we push up to the 80%, or should we close? I'm fine with either, just let me know.

Checked - only one note: Instead of Quellen und Belege einfügen (https://de.wikipedia.org/wiki/Wikipedia:Belege ), the link for Quellen und Belege einfügen points to https://de.wikipedia.org/wiki/Hilfe:Einzelnachweise/VisualEditor.

I just got the feedback that this link was set on purpose because new editors will probably work with visual editor.

@Trizek-WMF Another question came up and maybe you can help! What are the current numbers of how many newcomers discover their newcomer starting page on their own? Is it still 25 - 30 percent as mentioned here https://www.mediawiki.org/wiki/Growth/Personalized_first_day/Newcomer_homepage#Leading_indicators? Or have you managed to increase the number by working on the ideas here https://phabricator.wikimedia.org/T220552?
Thanks and have a nice weekend!

@Trizek-WMF Do you want to keep this opened until we push up to the 80%, or should we close? I'm fine with either, just let me know.

As far as we still have some feedback to collect, let's keep this task open. :)

Can we still change the wording of the translations of the suggested edit task pop-ups a bit?

Of course! You can change translations at any time via translatewiki.net, they will get updated in production Wikipedia in a week or so.

If you really need to change a given message, you can override it locally, but don't forget to delete it when the message at translatewiki.net is deployed.

@Trizek-WMF Another question came up and maybe you can help! What are the current numbers of how many newcomers discover their newcomer starting page on their own? Is it still 25 - 30 percent as mentioned here https://www.mediawiki.org/wiki/Growth/Personalized_first_day/Newcomer_homepage#Leading_indicators? Or have you managed to increase the number by working on the ideas here https://phabricator.wikimedia.org/T220552?

@Christine_Domgoergen_WMDE, it is a holiday today in the US, so we have limited capacity. As a consequence, I don't have yet the answer to this question.

We have also noted a detail while checking recent changes with the appropriate filters : some mentors forget to ping newcomers. Mentors must ping newcomers when they respond to them (or left a trackback message) so that their mentees can know that they got a reply. :)

@Trizek-WMF Hi Benoit, thank you for the feedback!

We have also noted a detail while checking recent changes with the appropriate filters : some mentors forget to ping newcomers. Mentors must ping newcomers when they respond to them (or left a trackback message) so that their mentees can know that they got a reply. :)

I have informed the working group and they have added some instructions on the sign-up page.

They were also asking when the mentor dashboard will be available, is there a timeline?

They were also asking when the mentor dashboard will be available, is there a timeline?

We have different steps to complete. The next big one is to deploy at our 4 pilot wikis for an initial trial of 3 weeks. After that, we will have a second round of tests with a few more wikis; the short list for this second session (with already a lot of wikis). So I'd say we are at 7 to 8 weeks before the deployment to all wikis.

@Trizek-WMF Okay, great, thanks for the information! Have you gotten some feedback yet about the other question?

@Trizek-WMF Another question came up and maybe you can help! What are the current numbers of how many newcomers discover their newcomer starting page on their own? Is it still 25 - 30 percent as mentioned here https://www.mediawiki.org/wiki/Growth/Personalized_first_day/Newcomer_homepage#Leading_indicators? Or have you managed to increase the number by working on the ideas here https://phabricator.wikimedia.org/T220552?

We are planning our presentation for the conference (October 1st - 3rd) right now. Is it realistic to get some data from the test run before then? The test runs from September 2nd to September 30th, is it possible to get some data on the 1st? Or if not can you maybe do an in-between check?

Earlier you mentioned you could check on this:

  • the revert rate of suggested edits, or, in your case, the volume of edits acceptance (due to Flagged Revisions). We can compare this rate with the current (default) experience.
  • the volume of questions to mentors, so that we could have a better idea of the number of mentors needed when more newcomers will get the features
  • the quality of questions -- since it is a very much subjective evaluation, I usually rely on two questions: "can this question be replied?" and "is this question about editing Wikipedia?".

Apart from those numbers it would also be interesting:

  • how many new accounts registered during the four weeks and how many of those accounts did get the tools?
  • how many users edited via the tools?

Thank you!

@Trizek-WMF Another question came up and maybe you can help! What are the current numbers of how many newcomers discover their newcomer starting page on their own? Is it still 25 - 30 percent as mentioned here https://www.mediawiki.org/wiki/Growth/Personalized_first_day/Newcomer_homepage#Leading_indicators? Or have you managed to increase the number by working on the ideas here https://phabricator.wikimedia.org/T220552?

Here is Marshall's reply: The most recent measurements are from February 2020, but we think that they are still current because we haven't changed anything about the discovery experience since then: https://phabricator.wikimedia.org/T245369#6021148

They show that depending on the wiki and platform, discovery rate can range between 30% and 70%. For German Wikipedia, Marshall's guess would be that homepage discovery is on the higher end, likely in the 60-70% range.

We can check on it for your event; I'm grouping it with your other requests: T290968: Provide some data about the Growth features at German Wikipedia

@Trizek-WMF

Great, thank you!

We just had another meeting and discussed how to proceed after the first round of the test ends on September 30th. So far there have been very few questions only through the mentoring module so the working group would be confident in scaling the numbers of newbies significantly. What do you think, how much would be good? I guess we still need a control group who does not receive the tools, how big should the control group be?

@Christine_Domgoergen_WMDE, we can be up to 80%. The next level is up to you.

Your wiki is a big one, and we still need to keep a control group to benefit from the data de.wp provides us.

@Trizek-WMF @MMiller_WMF, the working group thinks it is better to temporarily deactivate the "add a link"-feature until we have discussed some improvements in order to avoid too much frustration in the community. Could you do this and let me know once this is done? The other types of suggested tasks will still be active right?

I just noticed that the "Vorlage:Überarbeiten" is still assigned to "Redigieren/Copyedit", which is the other easy task. This template is not easy though, we had decided to put it in "Aktualisieren" only and remove it from "Redigieren". Right now it seems to be assigned to both categories. Could you change this? The problem then is that we do not have any easy tasks left and also no ideas for quick solutions... what do you think about this?

[providing technical information related to this request]

@Trizek-WMF @MMiller_WMF, the working group thinks it is better to temporarily deactivate the "add a link"-feature until we have discussed some improvements in order to avoid too much frustration in the community. Could you do this and let me know once this is done? The other types of suggested tasks will still be active right?

We can disable it in two ways:

  1. Completely disable that task type (won't be available for anyone, users will see no add a link task)
  2. Disable linkrecommendation for new accounts

We can also replace it with old-style link task, which requires a template. Could you let me know which option should be used?

I just noticed that the "Vorlage:Überarbeiten" is still assigned to "Redigieren/Copyedit", which is the other easy task. This template is not easy though, we had decided to put it in "Aktualisieren" only and remove it from "Redigieren". Right now it seems to be assigned to both categories. Could you change this? The problem then is that we do not have any easy tasks left and also no ideas for quick solutions... what do you think about this?

This part can be configured by admins at https://de.wikipedia.org/wiki/Spezial:EditGrowthConfig. I personally don't think it's a good idea to go to a zero-tasks senario -- the homepage will look very confusing for newcomers (it will say "no suggestions found", as by default only easy tasks are selected).

@Urbanecm_WMF Thanks for the information.

We can disable it in two ways:

  1. Completely disable that task type (won't be available for anyone, users will see no add a link task)
  2. Disable linkrecommendation for new accounts

So number 1 would mean that all users just don't get this type of task suggestion any more, correct? And number 2 would mean that only users who register from now on do not see this type of task suggestions but users who already have the tools still see it, right? What would you recommend?

We can also replace it with old-style link task, which requires a template. Could you let me know which option should be used?

What is the old-style link task? The problem is that dewp has no template for missing interwiki links we could use for that.

This part can be configured by admins at https://de.wikipedia.org/wiki/Spezial:EditGrowthConfig. I personally don't think it's a good idea to go to a zero-tasks senario -- the homepage will look very confusing for newcomers (it will say "no suggestions found", as by default only easy tasks are selected).

Yes, that sounds not great. The problem is that there is no template for copyediting. We had discussed to use the template "Veraltet" (Aktualisieren) as another easy task but it is by default categorized as medium in the configuration. The question is then if you could change the level of difficulty and how long it would take?

@Urbanecm_WMF Thanks for the information.

We can disable it in two ways:

  1. Completely disable that task type (won't be available for anyone, users will see no add a link task)
  2. Disable linkrecommendation for new accounts

So number 1 would mean that all users just don't get this type of task suggestion any more, correct? And number 2 would mean that only users who register from now on do not see this type of task suggestions but users who already have the tools still see it, right? What would you recommend?

My recommendation would be option 2, to disable for new accounts that are created. Existing newcomer accounts would still have the tools, but given that most new users don't stay around, I would expect only a few add a link edits to get added as time goes on. By leaving it still enabled as a hidden feature, that makes it easier for experienced editors to try out the tool as improvements/fixes are made.

cc @MMiller_WMF who will probably want to comment on this.

@kostajh great, thanks for the information, that makes total sense. Then let's do option 2. Thanks!

I agree with kostajh — option 2 is better, as it allows for testing as
needed.

Yes, old style task refers to templated add a link — if there are no such
templates, then it obviously isn’t an option :).

Change 722961 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[operations/mediawiki-config@master] GrowthExperiments: Place new dewiki accounts in control group

https://gerrit.wikimedia.org/r/722961

Thanks for discussing this @Christine_Domgoergen_WMDE, @kostajh, and @Urbanecm_WMF. Yes, I agree that we should do Option 2, and I think we should make that change as soon as the engineers are able. Christine, I think that just means that the community members will need to know that they'll still see a few link tasks coming through, but it will decrease to very small numbers.

The issue of having easy tasks is still a problem, though. I think we should keep the "Vorlage:Überarbeiten" as it is, so that there are some easy tasks. The fact is that newcomers frequently don't follow the template anyway. It's more that they open up the article and try to make some copyedit changes to it, regardless of what exactly the template says. But I do think we should try to find some other templates that could be good copyedits. We were challenged to do this on English Wikipedia, until we broadened our search. On English, we include all these templates, which are pretty much all different ways to say, "This article is poorly written."

Does German Wikipedia use any of those templates, or any that are similar? If not, then I think we should try to use any template that indicates anything along the lines of something being wrong with the article -- perhaps that it hasn't been edited in a while, is a poor translation, is too short, has bad formatting. Articles that have those issues probably also have copyedits to make. What do you think?

Change 722961 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: Place new dewiki accounts in control group

https://gerrit.wikimedia.org/r/722961

Mentioned in SAL (#wikimedia-operations) [2021-09-23T11:15:50Z] <kharlan@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:722961|GrowthExperiments: Place new dewiki accounts in control group (T288420)]] (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2021-09-23T11:15:50Z] <kharlan@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:722961|GrowthExperiments: Place new dewiki accounts in control group (T288420)]] (duration: 01m 06s)

@Christine_Domgoergen_WMDE @MMiller_WMF I just deployed this change, so at the moment, any newly registered account on dewiki will only get the "Easy" task for copyedit as defined in https://de.wikipedia.org/wiki/MediaWiki:NewcomerTasks.json .

@Trizek-WMF @MMiller_WMF
Hi,
we have a big comunity conference starting this Friday and we will present the Newbie Tools with a poster. For this it would be great to have some numbers about the test run. As already mentioned above we would need the following data:

  • the revert rate of suggested edits, or, in your case, the volume of edits acceptance (due to Flagged Revisions). We can compare this rate with the current (default) experience.
  • the volume of questions to mentors, so that we could have a better idea of the number of mentors needed when more newcomers will get the features
  • the quality of questions -- since it is a very much subjective evaluation, I usually rely on two questions: "can this question be replied?" and "is this question about editing Wikipedia?".
  • how many new accounts registered during the four weeks and how many of those accounts did get the tools?
  • how many users edited via the tools?

Can you provide the data until Thursday the latest? If we want to base the analysis on the first four weeks Thursday would be the last day and I assume it would be difficult to get the numbers that fast, correct? We could also base the analysis on the first three weeks of the test run.

Marshall is gathering the data for you. :)

@Trizek-WMF @MMiller_WMF Perfect, thanks :)

The working group still agrees on increasing the percentage to 80 percent from Friday onwards by the way, so if you want you can deploy this change. Or do you see any difficulties with this at the moment?

The working group still agrees on increasing the percentage to 80 percent from Friday onwards by the way, so if you want you can deploy this change. Or do you see any difficulties with this at the moment?

This is good news, and we can work on it. However, it is also a surprise: I thought that you were waiting for the conference to check with the community and change this rate.

The working group still agrees on increasing the percentage to 80 percent from Friday onwards by the way, so if you want you can deploy this change. Or do you see any difficulties with this at the moment?

This is good news, and we can work on it. However, it is also a surprise: I thought that you were waiting for the conference to check with the community and change this rate.

Yes, they decided to increase the rate now, because there were so few questions coming through and they assumed that too few people see and find the tools. Also the idea was that the test needs to run some more weeks/months anyway until we have valid data about retention that we migth as well change the rate now. Please let us know if you think this is a bad idea or see any problems coming up with this!

I don't see any problem changing the rate on our side: the features are deployed (minus the change made for Suggested links) and you have enough mentors to cover a deployment to 80% of newcomers. Since you are okay for it, let's do it.

@Urbanecm_WMF, can you change the threshold? Is it doable next Friday (as requested), or would we have to wait until Monday?

I don't see any problem changing the rate on our side: the features are deployed (minus the change made for Suggested links) and you have enough mentors to cover a deployment to 80% of newcomers. Since you are okay for it, let's do it.

@Urbanecm_WMF, can you change the threshold? Is it doable next Friday (as requested), or would we have to wait until Monday?

We do not do deployments on Fridays -- so we will have to do it either tomorrow (Thursday), or on Monday. Up to you/Christine.

I don't see any problem changing the rate on our side.

Ok, actually there is one: you don't have any Easy tasks, or, in fact, the one you have is based on a not-that-easy task. It may lead to a lower success rate for newcomers compared to other wikis. Is it something you still have in mind?

@Christine_Domgoergen_WMDE -- I just emailed to you the numbers you requested (and some additional ones). I hope this helps with the conference. Please be in touch!

@Trizek-WMF Hello, thanks for the thought! We discussed it and decided to increase the number to 80 percent anyways :-) So you can deploy Monday.

We are also discussing what technical solutions could help in finding easy tasks and will come up with some ideas and questions soon.

Change 725749 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] dewiki, nlwiki: Bump Growth features to 80%

https://gerrit.wikimedia.org/r/725749

That's great news @Christine_Domgoergen_WMDE! Deployment will be done later today.

Change 725749 merged by jenkins-bot:

[operations/mediawiki-config@master] dewiki, nlwiki: Bump Growth features to 80%

https://gerrit.wikimedia.org/r/725749

Mentioned in SAL (#wikimedia-operations) [2021-10-04T11:50:21Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: a855078cf52d88cc2cd27a0adc7c6a680c80dd39: dewiki, nlwiki: Bump Growth features to 80% (T288420, T285254) (duration: 00m 58s)

German Wikipedia is now at 80% of newcomers.

Since everything is set on our side, I'm closing this task. If any issue arises, please let us know with a new ticket, a direct email, a ping on wiki or a message at mw:Talk:Growth. :)